Compatibility requirements for Condeco Outlook Add-in

For the best user experience with the Condeco Outlook Add-in, it is important to use an up-to-date version of MS Outlook running on a compatible browser. Note that browser compatibility lists are different for Outlook for Windows and Mac, and Outlook on the web (OWA).

Compatible MS Outlook versions

  • MS Outlook 2016 and above for Windows.
  • MS Outlook for Mac (current UI only). Connected to a Microsoft 365 subscription.
  • Outlook Web Access (OWA).

Not supported

  • Outlook for Mac (new UI) is not currently supported.

Information about Outlook client support is available at Microsoft https://docs.microsoft.com/en-us/office/dev/add-ins/reference/requirement-sets/outlook-api-requirement-sets#outlook-client-support

Compatible web browsers

Outlook for Windows and Mac

A compatible browser is required to run Office add-ins on Outlook for Windows and Outlook for Mac.

View compatible browsers for Outlook for Windows and Mac at Microsoft https://docs.microsoft.com/en-us/office/dev/add-ins/concepts/browsers-used-by-office-web-add-ins

Outlook Web Access (OWA)

A compatible browser is required to run Outlook on the web.

View compatible browsers for OWA at Microsoft https://support.microsoft.com/en-us/office/supported-browsers-for-outlook-on-the-web-and-outlook-com-ca350265-6284-4682-9abd-85fc2bd37934

Need more help with this?
Condeco Support

Was this helpful?

Yes No
You indicated this topic was not helpful to you ...
Could you please leave a comment telling us why? Thank you!
Thanks for your feedback.